=== modified file 'd-i/source/user-setup/user-setup-apply'
--- a/d-i/source/user-setup/user-setup-apply	2016-04-21 14:20:22 +0000
+++ b/d-i/source/user-setup/user-setup-apply	2017-01-10 13:39:53 +0000
@@ -340,6 +340,13 @@
 					sed -i "s/^\(\(str  *\)\?autologin-user\)=.*$/\1=$USER/g;" $ROOT/etc/lightdm/lightdm.conf
 				fi
 			fi
+		else
+			# OEM configs set a sddm.conf with oem autologin.
+			# We need to make sure that no such file is kept around as otherwise
+			# sddm will fail to come up https://github.com/sddm/sddm/issues/761
+			# The sddm package doesn't ship a conf anymore, so this should
+			# be fine (one can hope...).
+			$log $chroot $ROOT rm -fv /etc/sddm.conf
 		fi
 	fi
 

